org.apache.cayenne.map

## Enum LifecycleEvent

- java.lang.Object
- - java.lang.Enum<LifecycleEvent>
  - - org.apache.cayenne.map.LifecycleEvent

- All Implemented Interfaces:
    Serializable, Comparable<LifecycleEvent>

      public enum LifecycleEvent
      extends Enum<LifecycleEvent>

  Defines possible entity object lifecycle events. Cayenne notifies registered listeners and entity callback methods when such events occur during the object lifecycle.
  Since:
    3.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POST_ADD`
    `POST_LOAD`
    `POST_PERSIST`
    `POST_REMOVE`
    `POST_UPDATE`
    `PRE_PERSIST`
    `PRE_REMOVE`
    `PRE_UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LifecycleEvent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LifecycleEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POST_ADD

          public static final LifecycleEvent POST_ADD

    - #### PRE_REMOVE

          public static final LifecycleEvent PRE_REMOVE

    - #### PRE_UPDATE

          public static final LifecycleEvent PRE_UPDATE

    - #### POST_PERSIST

          public static final LifecycleEvent POST_PERSIST

    - #### POST_REMOVE

          public static final LifecycleEvent POST_REMOVE

    - #### POST_UPDATE

          public static final LifecycleEvent POST_UPDATE

    - #### POST_LOAD

          public static final LifecycleEvent POST_LOAD

    - #### PRE_PERSIST

          public static final LifecycleEvent PRE_PERSIST

  - ### Method Detail

    - #### values

          public static LifecycleEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LifecycleEvent c : LifecycleEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LifecycleEvent valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2021 Apache Cayenne. All rights reserved.